List sources
curl --request GET \
--url https://api.withsplendor.com/v1/admin/sources \
--header 'Authorization: Bearer <token>' \
--header 'x-splendor-tenant-id: <x-splendor-tenant-id>'import requests
url = "https://api.withsplendor.com/v1/admin/sources"
headers = {
"x-splendor-tenant-id": "<x-splendor-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-splendor-tenant-id': '<x-splendor-tenant-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.withsplendor.com/v1/admin/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sources": [
{
"bucket": "acme-logs",
"connector_id": null,
"created_at": "2026-01-15T09:30:00Z",
"dataset_id": "app-logs",
"enabled": true,
"external_id_configured": false,
"iam_role_arn": "arn:aws:iam::123456789012:role/acme-splendor",
"ingest_token_configured": true,
"ingest_token_created_at": "2026-01-15T09:30:00Z",
"ingest_token_last_used_at": "2026-01-15T09:30:00Z",
"ingest_token_revoked_at": null,
"intake_role_arn": null,
"name": "Application logs",
"parse_config": {},
"prefix": "",
"retention_days": null,
"search_config": {
"text_fields": []
},
"semantic_config": {
"document_embeddings": {
"fields": []
},
"filters": {
"fields": []
},
"image_embeddings": {
"fields": [],
"index_standalone": false
},
"vocabulary": {
"fields": []
}
},
"source_id": 12,
"source_key": "app-logs",
"source_type": "hosted",
"tenant_id": "acme",
"transform_config": {},
"updated_at": "2026-01-15T09:30:00Z"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Sources & ingest
List sources
Lists the data sources configured in the selected tenant.
GET
/
v1
/
admin
/
sources
List sources
Authorizations
API token issued from the Splendor console.
Headers
Selects the tenant (workspace) the request acts within.
Query Parameters
Minimum string length:
1Response
Successful Response
Show child attributes
Show child attributes
⌘I